<!--
This file is automatically generated by tfds.scripts.documentation.document_datasets
and all modifications will be erased, please edit the
original document_datasets.py file.
-->

# Datasets

Note: The datasets documented here are from `HEAD` and so not all are available
in the current `tensorflow-datasets` package. They are all accessible in our
nightly package `tfds-nightly`.

--------------------------------------------------------------------------------

## Usage

See our [getting-started guide](https://www.tensorflow.org/datasets/overview)
for a quick introduction.

```python
for ex in tfds.load('cifar10', split='train'):
  ...
```

## All Datasets

### `Audio`

*   [`accentdb`](accentdb.md)
*   [`common_voice`](common_voice.md)
*   [`crema_d`](crema_d.md)
*   [`dementiabank`](dementiabank.md)
*   [`fuss`](fuss.md)
*   [`groove`](groove.md)
*   [`gtzan`](gtzan.md)
*   [`gtzan_music_speech`](gtzan_music_speech.md)
*   [`librispeech`](librispeech.md)
*   [`libritts`](libritts.md)
*   [`ljspeech`](ljspeech.md)
*   [`nsynth`](nsynth.md)
*   [`savee`](savee.md)
*   [`speech_commands`](speech_commands.md)
*   [`spoken_digit`](spoken_digit.md)
*   [`tedlium`](tedlium.md)
*   [`vctk`](vctk.md)
*   [`voxceleb`](voxceleb.md)
*   [`voxforge`](voxforge.md)
*   [`xtreme_s`](xtreme_s.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`yes_no`](yes_no.md)

### `D4rl`

*   [`d4rl_adroit_door`](d4rl_adroit_door.md)
*   [`d4rl_adroit_hammer`](d4rl_adroit_hammer.md)
*   [`d4rl_adroit_pen`](d4rl_adroit_pen.md)
*   [`d4rl_adroit_relocate`](d4rl_adroit_relocate.md)
*   [`d4rl_antmaze`](d4rl_antmaze.md)
*   [`d4rl_mujoco_ant`](d4rl_mujoco_ant.md)
*   [`d4rl_mujoco_halfcheetah`](d4rl_mujoco_halfcheetah.md)
*   [`d4rl_mujoco_hopper`](d4rl_mujoco_hopper.md)
*   [`d4rl_mujoco_walker2d`](d4rl_mujoco_walker2d.md)

### `Graphs`

*   [`cardiotox`](cardiotox.md)
*   [`ogbg_molpcba`](ogbg_molpcba.md)

### `Image`

*   [`abstract_reasoning`](abstract_reasoning.md)
*   [`aflw2k3d`](aflw2k3d.md)
*   [`arc`](arc.md)
*   [`bccd`](bccd.md)
*   [`binarized_mnist`](binarized_mnist.md)
*   [`celeb_a`](celeb_a.md)
*   [`celeb_a_hq`](celeb_a_hq.md)
*   [`cityscapes`](cityscapes.md)
*   [`clevr`](clevr.md)
*   [`clic`](clic.md)
*   [`coil100`](coil100.md)
*   [`div2k`](div2k.md)
*   [`downsampled_imagenet`](downsampled_imagenet.md)
*   [`dsprites`](dsprites.md)
*   [`duke_ultrasound`](duke_ultrasound.md)
*   [`flic`](flic.md)
*   [`lost_and_found`](lost_and_found.md)
*   [`lsun`](lsun.md)
*   [`nyu_depth_v2`](nyu_depth_v2.md)
*   [`pass`](pass.md)
*   [`s3o4d`](s3o4d.md)
*   [`scene_parse150`](scene_parse150.md)
*   [`shapes3d`](shapes3d.md)
*   [`symmetric_solids`](symmetric_solids.md)
*   [`the300w_lp`](the300w_lp.md)

### `Image classification`

*   [`beans`](beans.md)
*   [`bee_dataset`](bee_dataset.md)
*   [`bigearthnet`](bigearthnet.md)
*   [`binary_alpha_digits`](binary_alpha_digits.md)
*   [`caltech101`](caltech101.md)
*   [`caltech_birds2010`](caltech_birds2010.md)
*   [`caltech_birds2011`](caltech_birds2011.md)
*   [`cars196`](cars196.md)
*   [`cassava`](cassava.md)
*   [`cats_vs_dogs`](cats_vs_dogs.md)
*   [`chexpert`](chexpert.md)
*   [`cifar10`](cifar10.md)
*   [`cifar100`](cifar100.md)
*   [`cifar10_1`](cifar10_1.md)
*   [`cifar10_corrupted`](cifar10_corrupted.md)
*   [`citrus_leaves`](citrus_leaves.md)
*   [`cmaterdb`](cmaterdb.md)
*   [`colorectal_histology`](colorectal_histology.md)
*   [`colorectal_histology_large`](colorectal_histology_large.md)
*   [`curated_breast_imaging_ddsm`](curated_breast_imaging_ddsm.md)
*   [`cycle_gan`](cycle_gan.md)
*   [`deep_weeds`](deep_weeds.md)
*   [`diabetic_retinopathy_detection`](diabetic_retinopathy_detection.md)
*   [`dmlab`](dmlab.md)
*   [`domainnet`](domainnet.md)
*   [`dtd`](dtd.md)
*   [`emnist`](emnist.md)
*   [`eurosat`](eurosat.md)
*   [`fashion_mnist`](fashion_mnist.md)
*   [`food101`](food101.md)
*   [`geirhos_conflict_stimuli`](geirhos_conflict_stimuli.md)
*   [`horses_or_humans`](horses_or_humans.md)
*   [`i_naturalist2017`](i_naturalist2017.md)
*   [`i_naturalist2018`](i_naturalist2018.md)
*   [`imagenet2012`](imagenet2012.md)
*   [`imagenet2012_corrupted`](imagenet2012_corrupted.md)
*   [`imagenet2012_fewshot`](imagenet2012_fewshot.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`imagenet2012_multilabel`](imagenet2012_multilabel.md)
*   [`imagenet2012_real`](imagenet2012_real.md)
*   [`imagenet2012_subset`](imagenet2012_subset.md)
*   [`imagenet_a`](imagenet_a.md)
*   [`imagenet_lt`](imagenet_lt.md)
*   [`imagenet_r`](imagenet_r.md)
*   [`imagenet_resized`](imagenet_resized.md)
*   [`imagenet_sketch`](imagenet_sketch.md)
*   [`imagenet_v2`](imagenet_v2.md)
*   [`imagenette`](imagenette.md)
*   [`imagewang`](imagewang.md)
*   [`kmnist`](kmnist.md)
*   [`lfw`](lfw.md)
*   [`malaria`](malaria.md)
*   [`mnist`](mnist.md)
*   [`mnist_corrupted`](mnist_corrupted.md)
*   [`omniglot`](omniglot.md)
*   [`oxford_flowers102`](oxford_flowers102.md)
*   [`oxford_iiit_pet`](oxford_iiit_pet.md)
*   [`patch_camelyon`](patch_camelyon.md)
*   [`pet_finder`](pet_finder.md)
*   [`places365_small`](places365_small.md)
*   [`plant_leaves`](plant_leaves.md)
*   [`plant_village`](plant_village.md)
*   [`plantae_k`](plantae_k.md)
*   [`quickdraw_bitmap`](quickdraw_bitmap.md)
*   [`resisc45`](resisc45.md)
*   [`rock_paper_scissors`](rock_paper_scissors.md)
*   [`siscore`](siscore.md)
*   [`smallnorb`](smallnorb.md)
*   [`so2sat`](so2sat.md)
*   [`stanford_dogs`](stanford_dogs.md)
*   [`stanford_online_products`](stanford_online_products.md)
*   [`stl10`](stl10.md)
*   [`sun397`](sun397.md)
*   [`svhn_cropped`](svhn_cropped.md)
*   [`tf_flowers`](tf_flowers.md)
*   [`uc_merced`](uc_merced.md)
*   [`visual_domain_decathlon`](visual_domain_decathlon.md)

### `Nearest neighbors`

*   [`deep1b`](deep1b.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`glove100_angular`](glove100_angular.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`sift1m`](sift1m.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>

### `Object detection`

*   [`coco`](coco.md)
*   [`coco_captions`](coco_captions.md)
*   [`kitti`](kitti.md)
*   [`lvis`](lvis.md)
*   [`open_images_challenge2019_detection`](open_images_challenge2019_detection.md)
*   [`open_images_v4`](open_images_v4.md)
*   [`voc`](voc.md)
*   [`waymo_open_dataset`](waymo_open_dataset.md)
*   [`wider_face`](wider_face.md)

### `Question answering`

*   [`ai2_arc`](ai2_arc.md)
*   [`ai2_arc_with_ir`](ai2_arc_with_ir.md)
*   [`answer_equivalence`](answer_equivalence.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`asqa`](asqa.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`coqa`](coqa.md)
*   [`cosmos_qa`](cosmos_qa.md)
*   [`mctaco`](mctaco.md)
*   [`mlqa`](mlqa.md)
*   [`natural_questions`](natural_questions.md)
*   [`natural_questions_open`](natural_questions_open.md)
*   [`qasc`](qasc.md)
*   [`squad`](squad.md)
*   [`trivia_qa`](trivia_qa.md)
*   [`tydi_qa`](tydi_qa.md)
*   [`web_questions`](web_questions.md)
*   [`xquad`](xquad.md)

### `Ranking`

*   [`istella`](istella.md)
*   [`mslr_web`](mslr_web.md)

### `Recommendation`

*   [`criteo`](criteo.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`hillstrom`](hillstrom.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`simpte`](simpte.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>

### `Rl unplugged`

*   [`rlu_atari`](rlu_atari.md)
*   [`rlu_atari_checkpoints`](rlu_atari_checkpoints.md)
*   [`rlu_atari_checkpoints_ordered`](rlu_atari_checkpoints_ordered.md)
*   [`rlu_control_suite`](rlu_control_suite.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`rlu_dmlab_explore_object_rewards_few`](rlu_dmlab_explore_object_rewards_few.md)
*   [`rlu_dmlab_explore_object_rewards_many`](rlu_dmlab_explore_object_rewards_many.md)
*   [`rlu_dmlab_rooms_select_nonmatching_object`](rlu_dmlab_rooms_select_nonmatching_object.md)
*   [`rlu_dmlab_rooms_watermaze`](rlu_dmlab_rooms_watermaze.md)
*   [`rlu_dmlab_seekavoid_arena01`](rlu_dmlab_seekavoid_arena01.md)
*   [`rlu_locomotion`](rlu_locomotion.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`rlu_rwrl`](rlu_rwrl.md)

### `Rlds`

*   [`locomotion`](locomotion.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`robosuite_panda_pick_place_can`](robosuite_panda_pick_place_can.md)

### `Robomimic`

*   [`robomimic_ph`](robomimic_ph.md)

### `Robotics`

*   [`mt_opt`](mt_opt.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>

### `Structured`

*   [`amazon_us_reviews`](amazon_us_reviews.md)
*   [`ble_wind_field`](ble_wind_field.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`cherry_blossoms`](cherry_blossoms.md)
*   [`covid19`](covid19.md)
*   [`cs_restaurants`](cs_restaurants.md)
*   [`dart`](dart.md)
*   [`diamonds`](diamonds.md)
*   [`e2e_cleaned`](e2e_cleaned.md)
*   [`efron_morris75`](efron_morris75.md)
*   [`forest_fires`](forest_fires.md)
*   [`genomics_ood`](genomics_ood.md)
*   [`german_credit_numeric`](german_credit_numeric.md)
*   [`higgs`](higgs.md)
*   [`howell`](howell.md)
*   [`iris`](iris.md)
*   [`kddcup99`](kddcup99.md)
*   [`movie_lens`](movie_lens.md)
*   [`movielens`](movielens.md)
*   [`penguins`](penguins.md)
*   [`protein_net`](protein_net.md)
*   [`radon`](radon.md)
*   [`rock_you`](rock_you.md)
*   [`titanic`](titanic.md)
*   [`web_graph`](web_graph.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`web_nlg`](web_nlg.md)
*   [`wiki_bio`](wiki_bio.md)
*   [`wiki_table_questions`](wiki_table_questions.md)
*   [`wiki_table_text`](wiki_table_text.md)
*   [`wine_quality`](wine_quality.md)

### `Summarization`

*   [`aeslc`](aeslc.md)
*   [`big_patent`](big_patent.md)
*   [`billsum`](billsum.md)
*   [`booksum`](booksum.md)
*   [`cnn_dailymail`](cnn_dailymail.md)
*   [`covid19sum`](covid19sum.md)
*   [`gigaword`](gigaword.md)
*   [`gov_report`](gov_report.md)
*   [`media_sum`](media_sum.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`multi_news`](multi_news.md)
*   [`newsroom`](newsroom.md)
*   [`opinion_abstracts`](opinion_abstracts.md)
*   [`opinosis`](opinosis.md)
*   [`reddit`](reddit.md)
*   [`reddit_tifu`](reddit_tifu.md)
*   [`samsum`](samsum.md)
*   [`scientific_papers`](scientific_papers.md)
*   [`summscreen`](summscreen.md)
*   [`wikihow`](wikihow.md)
*   [`xsum`](xsum.md)

### `Text`

*   [`ag_news_subset`](ag_news_subset.md)
*   [`anli`](anli.md)
*   [`assin2`](assin2.md)
*   [`beir`](beir.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`blimp`](blimp.md)
*   [`bool_q`](bool_q.md)
*   [`c4`](c4.md)
*   [`cfq`](cfq.md)
*   [`civil_comments`](civil_comments.md)
*   [`clinc_oos`](clinc_oos.md)
*   [`cos_e`](cos_e.md)
*   [`definite_pronoun_resolution`](definite_pronoun_resolution.md)
*   [`doc_nli`](doc_nli.md)
*   [`dolphin_number_word`](dolphin_number_word.md)
*   [`drop`](drop.md)
*   [`eraser_multi_rc`](eraser_multi_rc.md)
*   [`esnli`](esnli.md)
*   [`gap`](gap.md)
*   [`gem`](gem.md)
*   [`glue`](glue.md)
*   [`goemotions`](goemotions.md)
*   [`gpt3`](gpt3.md)
*   [`gsm8k`](gsm8k.md)
*   [`hellaswag`](hellaswag.md)
*   [`imdb_reviews`](imdb_reviews.md)
*   [`irc_disentanglement`](irc_disentanglement.md)
*   [`lambada`](lambada.md)
*   [`librispeech_lm`](librispeech_lm.md)
*   [`lm1b`](lm1b.md)
*   [`math_dataset`](math_dataset.md)
*   [`math_qa`](math_qa.md)
*   [`movie_rationales`](movie_rationales.md)
*   [`mrqa`](mrqa.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`multi_nli`](multi_nli.md)
*   [`multi_nli_mismatch`](multi_nli_mismatch.md)
*   [`openbookqa`](openbookqa.md)
*   [`paws_wiki`](paws_wiki.md)
*   [`paws_x_wiki`](paws_x_wiki.md)
*   [`pg19`](pg19.md)
*   [`piqa`](piqa.md)
*   [`qa4mre`](qa4mre.md)
*   [`quac`](quac.md)
*   [`quality`](quality.md)
*   [`race`](race.md)
*   [`reddit_disentanglement`](reddit_disentanglement.md)
*   [`salient_span_wikipedia`](salient_span_wikipedia.md)
*   [`scan`](scan.md)
*   [`schema_guided_dialogue`](schema_guided_dialogue.md)
*   [`sci_tail`](sci_tail.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`scicite`](scicite.md)
*   [`scrolls`](scrolls.md)
*   [`sentiment140`](sentiment140.md)
*   [`snli`](snli.md)
*   [`squad_question_generation`](squad_question_generation.md)
*   [`star_cfq`](star_cfq.md)
*   [`story_cloze`](story_cloze.md)
*   [`super_glue`](super_glue.md)
*   [`tiny_shakespeare`](tiny_shakespeare.md)
*   [`trec`](trec.md)
*   [`unified_qa`](unified_qa.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`wiki40b`](wiki40b.md)
*   [`wiki_dialog`](wiki_dialog.md)
    <span class="material-icons" title="Available only in the tfds-nightly package">nights_stay</span>
*   [`wikiann`](wikiann.md)
*   [`wikipedia`](wikipedia.md)
*   [`wikipedia_toxicity_subtypes`](wikipedia_toxicity_subtypes.md)
*   [`winogrande`](winogrande.md)
*   [`wordnet`](wordnet.md)
*   [`wsc273`](wsc273.md)
*   [`xnli`](xnli.md)
*   [`xtreme_pawsx`](xtreme_pawsx.md)
*   [`xtreme_xnli`](xtreme_xnli.md)
*   [`yelp_polarity_reviews`](yelp_polarity_reviews.md)

### `Text simplification`

*   [`asset`](asset.md)
*   [`wiki_auto`](wiki_auto.md)

### `Time series`

*   [`smartwatch_gestures`](smartwatch_gestures.md)

### `Translate`

*   [`flores`](flores.md)
*   [`opus`](opus.md)
*   [`para_crawl`](para_crawl.md)
*   [`ted_hrlr_translate`](ted_hrlr_translate.md)
*   [`ted_multi_translate`](ted_multi_translate.md)
*   [`wmt13_translate`](wmt13_translate.md)
*   [`wmt14_translate`](wmt14_translate.md)
*   [`wmt15_translate`](wmt15_translate.md)
*   [`wmt16_translate`](wmt16_translate.md)
*   [`wmt17_translate`](wmt17_translate.md)
*   [`wmt18_translate`](wmt18_translate.md)
*   [`wmt19_translate`](wmt19_translate.md)
*   [`wmt_t2t_translate`](wmt_t2t_translate.md)

### `Video`

*   [`bair_robot_pushing_small`](bair_robot_pushing_small.md)
*   [`davis`](davis.md)
*   [`moving_mnist`](moving_mnist.md)
*   [`robonet`](robonet.md)
*   [`starcraft_video`](starcraft_video.md)
*   [`tao`](tao.md)
*   [`ucf101`](ucf101.md)
*   [`youtube_vis`](youtube_vis.md)

### `Vision language`

*   [`gref`](gref.md)
*   [`grounded_scan`](grounded_scan.md)
*   [`ref_coco`](ref_coco.md)
*   [`wit`](wit.md)
*   [`wit_kaggle`](wit_kaggle.md)

--------------------------------------------------------------------------------
